/************************************************************

   ██████╗██╗     ██╗██████╗ ██████╗ ██╗███╗   ██╗ ██████╗ 
  ██╔════╝██║     ██║██╔══██╗██╔══██╗██║████╗  ██║██╔════╝ 
  ██║     ██║     ██║██████╔╝██████╔╝██║██╔██╗ ██║██║  ███╗
  ██║     ██║     ██║██╔═══╝ ██╔═══╝ ██║██║╚██╗██║██║   ██║
  ╚██████╗███████╗██║██║     ██║     ██║██║ ╚████║╚██████╔╝
   ╚═════╝╚══════╝╚═╝╚═╝     ╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ 
                                                           
  ████████╗██╗  ██╗███████╗         ██╗ █████╗ ███╗   ███╗ 
  ╚══██╔══╝██║  ██║██╔════╝         ██║██╔══██╗████╗ ████║ 
     ██║   ███████║█████╗           ██║███████║██╔████╔██║ 
     ██║   ██╔══██║██╔══╝      ██   ██║██╔══██║██║╚██╔╝██║ 
     ██║   ██║  ██║███████╗    ╚█████╔╝██║  ██║██║ ╚═╝ ██║ 
     ╚═╝   ╚═╝  ╚═╝╚══════╝     ╚════╝ ╚═╝  ╚═╝╚═╝     ╚═╝ 

  imaginé et développé par Colin Thil pour la Villette Makerz
   
**************************************************************/ 



boolean framePerFrame = false;
boolean greenHSB = false;
boolean cameraBG = false;
boolean UI = true ;



void setup() {
  
  /* cette fonction est lue au lancement du programme, 
  son rôle est d'initialiser tout ce qui sera nécesaire 
  pour la suite */
  
  //size(800,600,P2D);
  fullScreen(P2D);
  cameraInit();
  layerInit();
  shaderInit();
  midiInit();
  colorInit();
  initValue();
  initExport();
  title();
  setColorNumber(4);
}



void draw() {
  
  /* cette fonction est lue une fois par frame pendant
  que le programe est en marche, tout ce qui s'y déroule
  est compris dans les quelques fonctions qui sont appellé
  ci-dessous */
  
  if (mouseClicked) mouseClicked=false;
  
  else if (mousePressed && !mouseIsPressed) {
    mouseClicked=true;
    mouseIsPressed=true;
  }
  
  else if (!mousePressed){
    mouseIsPressed=false;
    sliderOn=false;
  }
  
  display();
  export();
  timeControl();
  
}                              
