#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

#define PROCESSING_TEXTURE_SHADER

uniform sampler2D palette;
uniform sampler2D background;
uniform int num;

varying vec4 vertColor;
varying vec4 vertTexCoord;

void main(void) {


  vec4 colorArray[5];

    colorArray[0] = texture2D(palette, vec2(0.1,0.5));
    colorArray[4] = texture2D(palette, vec2(0.3,0.5));
    colorArray[3] = texture2D(palette, vec2(0.5,0.5));
    colorArray[2] = texture2D(palette, vec2(0.7,0.5));
    colorArray[1] = texture2D(palette, vec2(0.9,0.5));

  // attribution de toutes les coordonnées
  vec2 tc  = vertTexCoord.st;

  // récupération de toutes les valeurs
  vec4 col = texture2D(background, tc);
  
  vec4 r;
  if (col.w==0) r = col;
  else r = colorArray[num]; 
  
  gl_FragColor = r;   
}
