#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

#define PROCESSING_TEXTURE_SHADER

uniform sampler2D texture;
uniform sampler2D pastScreen0;
uniform sampler2D pastScreen1;
uniform sampler2D pastScreen2;
uniform sampler2D pastScreen3;
uniform sampler2D pastScreen4;
uniform sampler2D pastScreen5;
uniform sampler2D pastScreen6;
uniform sampler2D pastScreen7;
uniform sampler2D pastScreen8;
uniform sampler2D pastScreen9;
uniform int mode;

varying vec4 vertColor;
varying vec4 vertTexCoord;


void main(void) {
  
  vec2 tc4 = vertTexCoord.st;

  vec4 cam  = texture2D(texture, tc4);
  vec4 cam0 = texture2D(pastScreen0, tc4);
  vec4 cam1 = texture2D(pastScreen1, tc4);
  vec4 cam2 = texture2D(pastScreen2, tc4);
  vec4 cam3 = texture2D(pastScreen3, tc4);
  vec4 cam4 = texture2D(pastScreen4, tc4);
  vec4 cam5 = texture2D(pastScreen5, tc4);
  vec4 cam6 = texture2D(pastScreen6, tc4);
  vec4 cam7 = texture2D(pastScreen7, tc4);
  vec4 cam8 = texture2D(pastScreen8, tc4);
  vec4 cam9 = texture2D(pastScreen9, tc4);

  vec4 sum;
  if (mode==1) sum = ( cam*20.0 + cam0*1.0 + cam1*2.0 + cam2*3.0 + cam3*4.0 + cam4*5.0 + cam5*6.0 + cam6*7.0 + cam7*8.0+ cam8*9.0 + cam9*10.0 )/75.0;
  else sum = ( cam*10.0 + cam5*1.0 + cam6*2.0 + cam7*3.0+ cam8*4.0)/20.0;
  
  gl_FragColor = sum;

 
}
